/**************************************************************************************
    char_set_x_registry.hxx
    header file for the object definitions used to accommodate
      X Consortium character set registration

    (c) Copyright Apollo Computer Inc., 1989 (unpublished)
     --------------------------------------------------------------------
    |THE FOLLOWING PROGRAMS ARE THE SOLE PROPERTY OF APOLLO COMPUTER INC.|
    |      AND CONTAIN ITS PROPRIETARY AND CONFIDENTIAL INFORMATION.     |
     --------------------------------------------------------------------
**************************************************************************************/

#ifndef char_set_x_registry_hxx
#define char_set_x_registry_hxx

#define ISO_8859_1              -1
#define ISO_8859_2              -2
#define ISO_8859_3              -3
#define ISO_8859_4              -4
#define ISO_8859_5              -5
#define ISO_8859_6              -6
#define ISO_8859_7              -7
#define ISO_8859_8              -8

#define REGISTERED_SETS 8

class xregister {
    void* reg;
public:
    xregister(void* new_reg = 0);
    ~xregister();
    void* get_reg(){return reg;}
    void  set_reg(xregister* new_reg){reg = new_reg;}
};

#endif
// char_set_x_registry_hxx

