#include <dlg/Xlib.h>
#include <dlg/Xutil.h>
#include <tml/tml_c_types.h>
#include <tml/tml_dp_x_graph.h>
#include <tml/tml_dp_graph.hxx>

#ifdef not_vanilla_C
char x_exam_getchar(Display *display, tml_c_view_port display_viewport)
#else
char x_exam_getchar(display, display_viewport)
    Display *display;
    tml_c_view_port display_viewport;
#endif
{
  XEvent event;
  KeySym key;
  char   text[10];
  int    textlen;

  do {
    do {
      XNextEvent(display, &event);
      if (event.type == ConfigureNotify)
        tml_dp_record_new_size(view_port_get_handle(display_viewport),
                               event.xconfigure.width,
                               event.xconfigure.height);
      else if (event.type == Expose) {
        tml_dp_add_clip_rect(view_port_get_handle(display_viewport),
                             event.xexpose.x,
                             event.xexpose.y,
                             event.xexpose.width,
                             event.xexpose.height);
        if (event.xexpose.count == 0)
            tml_dp_damage_repair(view_port_get_handle(display_viewport));
        }
    } while (event.type != KeyPress);
    textlen = XLookupString((XKeyEvent*) &event, text, 10, &key, 0);
    text[textlen] = (char)0;
  } while (textlen == 0);
  return text[0];
}

